# Copyright (C) 2023 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
#
"""change restore_cms StateMachine type

Revision ID: 66a7692b56b4
Revises: 5a1e335e6c13
Create Date: 2024-07-01 12:16:26.209422

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "66a7692b56b4"
down_revision = "5a1e335e6c13"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """UPDATE capability_state_machines SET machine_type='simple_with_analyst_support' WHERE capability_name='restore_cms'"""
    )


def downgrade():
    op.execute("""UPDATE capability_state_machines SET machine_type='simple' WHERE capability_name='restore_cms'""")
